Package org.optaplanner.core.impl.heuristic.selector.move

## Interface MoveSelector

- All Superinterfaces:
    `EventListener`, `Iterable<Move>`, `IterableSelector<Move>`, `PhaseLifecycleListener`, `Selector`, `SolverLifecycleListener`
  All Known Implementing Classes:
    `AbstractCachingMoveSelector`, `AbstractMoveSelector`, `CachingMoveSelector`, `CartesianProductMoveSelector`, `ChangeMoveSelector`, `CompositeMoveSelector`, `FilteringMoveSelector`, `GenericMoveSelector`, `KOptMoveSelector`, `MoveIteratorFactoryToMoveSelectorBridge`, `MoveListFactoryToMoveSelectorBridge`, `PillarChangeMoveSelector`, `PillarSwapMoveSelector`, `ProbabilityMoveSelector`, `SelectedCountLimitMoveSelector`, `ShufflingMoveSelector`, `SortingMoveSelector`, `SubChainChangeMoveSelector`, `SubChainSwapMoveSelector`, `SwapMoveSelector`, `TailChainSwapMoveSelector`, `UnionMoveSelector`

      public interface MoveSelector
      extends IterableSelector<Move>

  Generates `Move`s.
  See Also:
    `AbstractMoveSelector`

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default boolean` | `supportsPhaseAndSolverCaching()` |

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.IterableSelector

      `getSize`

    - ### Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector

      `getCacheType, isCountable, isNeverEnding`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Method Detail

    - #### supportsPhaseAndSolverCaching

          default boolean supportsPhaseAndSolverCaching()